Secretless System Requirements

The following lists the most up-to-date supported platforms, secret providers and service connectors.

Supported platforms

Platform

Supported versions

Kubernetes

1.10 - 1.12

Openshift

3.9 - 3.11; 4.x - 4.3.3

Supported secret providers

Secret providers

Supported version

Conjur OSS

1.4 or later

Dynamic Access Provider

10.8 or later

Kubernetes Secrets

1.9,1.11

Supported databases

Service

Supported version

MSSQL

  • SQL Server 2012

  • SQL Server 2014

  • SQL Server 2016

  • SQL Server 2017

  • SQL Server 2019

MySQL

5.7

PostgreSQL

9.3, 9.4, 9.5, 9.6, 10.7, 11.2